Sale!

Sonnox – Oxford Reverb (HD-HDX)

Original price was: €535.00.Current price is: €134.00.

Create space for your sound

Reverb should sound natural and enveloping, sitting in, rather than on a mix. To achieve this, you need a reverb plugin that can adapt to your requirements.

Enter the Oxford Reverb.

The Oxford Reverb is a versatile reverb plugin that allows you to create real space for your sound. With 120 presets as standard, the Oxford Reverb gives you a solid foundation on which to build. From drier ambiences and open reverberant spaces, to sound effects and settings inspired by classic hardware. With so much control to hand, it’s easy to design your own spaces from scratch too.

Designed with the highest technical and sonic performance in mind, the Oxford Reverb is a class-leading stereo reverb plugin with hallmark Sonnox clarity and ease of use. The comprehensive yet intuitive GUI features flexible Early Reflection, Reverb Tail and 5-band Oxford EQ sections, giving you all the tools you need to craft a rich sound space.

  • Extremely flexible stereo modeling reverb
  • Independent paths for Early Reflections and Reverb Tail
    Paths can be combined or used separately
  • Integrated 5-band Oxford EQ
  • Separation control alters stereo width of input signal
  • Over 120 presets – including Halls, Chambers, Rooms, Ambience and more
Categories: , , , Tag: Brand:

Description

System Requirement for Sonnox – Oxford Reverb (HD-HDX)
AAX and AAX-DSP
  • Pro Tools from 10.3.8 – AAX DSP/ AAX Native
  • For macOS 11 Big Sur compatibility
  • Approved Pro Tools CPU, OS and hardware configuration
  • For legacy versions, including 32bit and RTAS support
  • iLok2, iLok3 or an iLok account with an active internet connection is required.
Audio Units
  • Mac OS X 10.8 or later
  • For macOS 11 Big Sur compatibility
  • For legacy versions, including 32bit and RTAS support
  • iLok2, iLok3 or an iLok account with an active internet connection is required.
VST2 / VST3
  • Mac OS X 10.8 or later
  • For macOS 11 Big Sur compatibility
  • Windows 7 or later
  • For legacy versions, including 32bit and RTAS support
  • iLok2, iLok3 or an iLok account with an active internet connection is required.